Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jmock.integration.junit3
Class VerifyingTestCase

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.jmock.integration.junit3.VerifyingTestCase

All Implemented Interfaces:
  Test

Direct Known Subclasses:
  MockObjectTestCase

    public abstract class VerifyingTestCase

extends TestCase

A `TestCase` that verifies postconditions after the test has run and before the fixture has been torn down.

Since:
  1.0

Constructor Summary
`VerifyingTestCase()`
`VerifyingTestCase(String name)`

Method Summary
`void` | `addVerifier(Runnable verifier)`
`void` | `runBare()`
`void` | `verify()`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runTest, setName, setUp, tearDown, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### VerifyingTestCase

    public VerifyingTestCase()

### VerifyingTestCase

    public VerifyingTestCase(String name)

Method Detail

### runBare

    public void runBare()
                 throws Throwable

  Overrides:
    `runBare` in class `TestCase`
  Throws:
    `Throwable`

### verify

    public void verify()

### addVerifier

    public void addVerifier(Runnable verifier)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD